# Tarfile created using svn
# svn co http://svn2.assembla.com/svn/elements
# cd elements
# svn export -r %{svnrevision} . %{name}-%{version}
# tar -cjvf ~/%{name}-%{version}-%{svndate}.tar.bz2 %{name}-%{version}
%global svndate 20100110
%global svnrevision 230
%global tarfile %{name}-%{version}-%{svndate}.tar.bz2

Name:          python-elements
Version:       0.13
Release:       19.%{svndate}svn%{?dist}
Summary:       A 2D Physics API for Python

License:       GPLv3+
URL:           http://www.assembla.com/wiki/show/elements
Source0:       %{tarfile}

BuildArch:     noarch
BuildRequires: python2-devel
BuildRequires: python2-setuptools

%global _description\
An easy to use API for integrating 2D physics (with pybox2d) into own\
python ideas, that includes user interfaces & simulations, as well as\
teaching & learning tools.\


%description %_description

%package -n python2-elements
Summary: %summary
Requires:       python2-pybox2d
%{?python_provide:%python_provide python2-elements}

%description -n python2-elements %_description

%prep
%setup -q

# calm rpmlint down
sed -i elements/elements.py -e 1d


%build
%py2_build


%install
%py2_install


%files -n python2-elements
%doc CREDITS LICENSE README
%{python2_sitelib}/*


%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.13-19.20100110svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.13-18.20100110svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.13-17.20100110svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 16 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.13-16.20100110svn
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.13-15.20100110svn
- Python 2 binary package renamed to python2-elements
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13-14.20100110svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13-13.20100110svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-12.20100110svn
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.13-11.20100110svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-10.20100110svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-9.20100110svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-8.20100110svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-7.20100110svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-6.20100110svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr  3 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.13-6.20100110svn
- Clean up spec and rebuilt

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-5.20100110svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-4.20100110svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.13-3.20100110svn
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jan 11 2009 Sebastian Dziallas <sebastian@when.com> - 0.13-2.20100110svn
- implement comments from the review

* Sun Jan 10 2009 Sebastian Dziallas <sebastian@when.com> - 0.13-1.20100110svn
- initial packaging
